Package com.sun.jna.platform.win32

## Class WinDef.CHAR

- java.lang.Object
- - java.lang.Number
  - - com.sun.jna.IntegerType
    - - com.sun.jna.platform.win32.WinDef.CHAR

All Implemented Interfaces:
  `NativeMapped`, `java.io.Serializable`, `java.lang.Comparable<WinDef.CHAR>`

Enclosing interface:
  WinDef

    public static class WinDef.CHAR
    extends IntegerType
    implements java.lang.Comparable<WinDef.CHAR>

The Class CHAR.

See Also:
  Serialized Form

### Field Summary

Fields
`static int` `SIZE` The Constant SIZE.

### Constructor Summary

Constructors
`CHAR()` Instantiates a new char.
`CHAR​(byte ch)` Instantiates a new char.
`CHAR​(long value)` Instantiates a new char.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(WinDef.CHAR other)`

### Methods inherited from class com.sun.jna.IntegerType

`compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

### Methods inherited from class java.lang.Number

`byteValue, shortValue`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SIZE

    public static final int SIZE

The Constant SIZE.

See Also:
  Constant Field Values

### Constructor Detail

#### CHAR

    public CHAR()

Instantiates a new char.

#### CHAR

    public CHAR​(byte ch)

Instantiates a new char.

Parameters:
  `ch` - The `char` value

#### CHAR

    public CHAR​(long value)

Instantiates a new char.

Parameters:
  `value` - the value

### Method Detail

#### compareTo

    public int compareTo​(WinDef.CHAR other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<WinDef.CHAR>`